#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private itcMovingVwap[] cacheitcMovingVwap;

		
		public itcMovingVwap itcMovingVwap(string softwareDescription, string machineAccount, string softwareActivationKey, int vwapPeriod)
		{
			return itcMovingVwap(Input, softwareDescription, machineAccount, softwareActivationKey, vwapPeriod);
		}


		
		public itcMovingVwap itcMovingVwap(ISeries<double> input, string softwareDescription, string machineAccount, string softwareActivationKey, int vwapPeriod)
		{
			if (cacheitcMovingVwap != null)
				for (int idx = 0; idx < cacheitcMovingVwap.Length; idx++)
					if (cacheitcMovingVwap[idx].SoftwareDescription == softwareDescription && cacheitcMovingVwap[idx].MachineAccount == machineAccount && cacheitcMovingVwap[idx].SoftwareActivationKey == softwareActivationKey && cacheitcMovingVwap[idx].VwapPeriod == vwapPeriod && cacheitcMovingVwap[idx].EqualsInput(input))
						return cacheitcMovingVwap[idx];
			return CacheIndicator<itcMovingVwap>(new itcMovingVwap(){ SoftwareDescription = softwareDescription, MachineAccount = machineAccount, SoftwareActivationKey = softwareActivationKey, VwapPeriod = vwapPeriod }, input, ref cacheitcMovingVwap);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.itcMovingVwap itcMovingVwap(string softwareDescription, string machineAccount, string softwareActivationKey, int vwapPeriod)
		{
			return indicator.itcMovingVwap(Input, softwareDescription, machineAccount, softwareActivationKey, vwapPeriod);
		}


		
		public Indicators.itcMovingVwap itcMovingVwap(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int vwapPeriod)
		{
			return indicator.itcMovingVwap(input, softwareDescription, machineAccount, softwareActivationKey, vwapPeriod);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.itcMovingVwap itcMovingVwap(string softwareDescription, string machineAccount, string softwareActivationKey, int vwapPeriod)
		{
			return indicator.itcMovingVwap(Input, softwareDescription, machineAccount, softwareActivationKey, vwapPeriod);
		}


		
		public Indicators.itcMovingVwap itcMovingVwap(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int vwapPeriod)
		{
			return indicator.itcMovingVwap(input, softwareDescription, machineAccount, softwareActivationKey, vwapPeriod);
		}

	}
}

#endregion
